Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-3549

Have acceptance tests use puppet5-nightly

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDB 5.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Case 1: Specified PuppetDB build

      Given that I have specified a value for PUPPETDB_PACKAGE_BUILD_VERSION
      And I have specified NIGHTLY=true
      When I run the ./ext/jenkins/beaker-tests.sh script from the puppetdb/acceptance directory
      Then the specified PUPPETDB_PACKAGE_BUILD_VERSION of puppetdb should be installed
      And the published puppet5-nightly package for puppet-agent should be installed
      And the published puppet5-nightly package for puppetserver should be installed

      Case 2: No specified PuppetDB build

      Given I have specified NIGHTLY=true
      When I run the ./ext/jenkins/beaker-tests.sh script from the puppetdb/acceptance directory
      Then the published puppet5-nightly package for puppetdb should be installed
      And the published puppet5-nightly package for puppet-agent should be installed
      And the published puppet5-nightly package for puppetserver should be installed

      Show
      Case 1: Specified PuppetDB build Given that I have specified a value for PUPPETDB_PACKAGE_BUILD_VERSION And I have specified NIGHTLY=true When I run the ./ext/jenkins/beaker-tests.sh script from the puppetdb/acceptance directory Then the specified PUPPETDB_PACKAGE_BUILD_VERSION of puppetdb should be installed And the published puppet5-nightly package for puppet-agent should be installed And the published puppet5-nightly package for puppetserver should be installed Case 2: No specified PuppetDB build Given I have specified NIGHTLY=true When I run the ./ext/jenkins/beaker-tests.sh script from the puppetdb/acceptance directory Then the published puppet5-nightly package for puppetdb should be installed And the published puppet5-nightly package for puppet-agent should be installed And the published puppet5-nightly package for puppetserver should be installed
    • Team:
      Data Platform
    • Story Points:
      3
    • QA Risk Assessment:
      No Action

      Description

      When using installing component dependencies (e.g. puppet-agent, puppetserver) from nighties for acceptance testing, these should be installed from puppet5-nightly repositories. These are located at the following URLs:

      http://yum.puppetlabs.com/puppet5-nightly
      http://apt.puppetlabs.com

      If a test build version for PuppetDB is not specified, then PuppetDB should also be installed using the puppet5-nightly repo version.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                john.duarte John Duarte
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support